Commit Diff
Diff:
4cc0b61921e3066c97743112b863b0ef4ebabdcc
ab62038c8e3b5e025e4f39af5bf277a5e2f46230
Commit:
ab62038c8e3b5e025e4f39af5bf277a5e2f46230
Tree:
5b5e0f61383d7fab8daf983a7bbf15700cc0abe1
Author:
frédéric galusik <fredg@salixos.org>
Committer:
frédéric galusik <fredg@salixos.org>
Date:
Thu Nov 1 19:40:03 2012 UTC
Message:
updated to change from Perl to Python
blob - 4936ae3dea288f1b7d733da740d641bf17d0ef69
blob + 1f14d4cb03a16ec1e7aa1a71331a4927732b5a8c
--- INSTALL
+++ INSTALL
@@ -11,15 +11,3 @@ To install, run as root:
Optionnaly, you can set DESTDIR to suit your need, for example:
DESTDIR=$PKG ./install.sh
Where $PKG can be /what/you/want
-
-You can set the LIBDIRSUFFIX to install it on a 64bits OS.
-LIBDIRSUFFIX=64 ./install.sh
-
-
-
-NOTE FOR SLACKWARE CURRENT USERS:
-=================================
-Perl version is 5.14.0, so, to install, just do:
-
-PERLVER=5.14.0 ./install.sh
-
blob - 0fe87dd9857d9794c2665f4d7997da0058e6bd38
blob + e8e4c77ceb5917aa8339c346fe8c82933c34b515
--- install.sh
+++ install.sh
@@ -1,9 +1,7 @@
#!/bin/sh
-PERLVER=5.12.3
-PERLDIR=usr/lib${LIBDIRSUFFIX}/perl5/$PERLVER
+install -D -m 755 pkgtxt2db.py $DESTDIR/usr/bin/pkgtxt2db
-install -D -m 755 pkgtxt2db $DESTDIR/usr/bin/pkgtxt2db
-install -D -m 644 Pkgtxt2db.pm $DESTDIR/$PERLDIR/Pkgtxt2db/Pkgtxt2db.pm
+# man page
+txt2tags pkgtxt2db.t2t || return 1
install -D -m 644 pkgtxt2db.man $DESTDIR/usr/man/man1/pkgtxt2db.1
-
Frédéric Galusik